Bug 37632 - Add a layer of indirection when calling run-webkit-tests to allow testing new-run-webkit-tests on various platforms
Summary: Add a layer of indirection when calling run-webkit-tests to allow testing new...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-14 20:28 PDT by Eric Seidel (no email)
Modified: 2010-04-18 14:26 PDT (History)
4 users (show)

See Also:


Attachments
Patch (163.26 KB, patch)
2010-04-14 20:37 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Patch (169.54 KB, patch)
2010-04-14 22:50 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Updated patch which doesn't enable new-run-webkit-tests for any ports yet (169.91 KB, patch)
2010-04-16 14:59 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Fix run-webkit-tests for users who don't have WebKitTools/Scripts in their path (1.03 KB, patch)
2010-04-18 13:56 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Make run-webkit-tests exit non-zero if launching harness fails (1.14 KB, patch)
2010-04-18 14:10 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-04-14 20:28:37 PDT
Add a layer of indirection when calling run-webkit-tests to allow testing new-run-webkit-tests on various platforms without needing to change scripts or restart the buildbot master.
Comment 1 Eric Seidel (no email) 2010-04-14 20:37:41 PDT
Created attachment 53402 [details]
Patch
Comment 2 Eric Seidel (no email) 2010-04-14 22:50:34 PDT
Created attachment 53413 [details]
Patch
Comment 3 Eric Seidel (no email) 2010-04-16 14:59:05 PDT
Created attachment 53568 [details]
Updated patch which doesn't enable new-run-webkit-tests for any ports yet
Comment 4 Dirk Pranke 2010-04-16 17:30:45 PDT
looks basically fine to me, but I'm not a reviewer.
Comment 5 Adam Barth 2010-04-17 13:23:28 PDT
Comment on attachment 53568 [details]
Updated patch which doesn't enable new-run-webkit-tests for any ports yet

Ok.  The diff is hard to read, but it looks reasonable.
Comment 6 Eric Seidel (no email) 2010-04-18 13:34:42 PDT
Committed r57796: <http://trac.webkit.org/changeset/57796>
Comment 7 Eric Seidel (no email) 2010-04-18 13:36:57 PDT
Landed.  Watching the bots now.
Comment 8 Eric Seidel (no email) 2010-04-18 13:56:57 PDT
Created attachment 53633 [details]
Fix run-webkit-tests for users who don't have WebKitTools/Scripts in their path
Comment 9 Eric Seidel (no email) 2010-04-18 13:59:50 PDT
Committed r57798: <http://trac.webkit.org/changeset/57798>
Comment 10 Eric Seidel (no email) 2010-04-18 14:10:03 PDT
Created attachment 53634 [details]
Make run-webkit-tests exit non-zero if launching harness fails
Comment 11 Eric Seidel (no email) 2010-04-18 14:26:00 PDT
Committed r57799: <http://trac.webkit.org/changeset/57799>